FileTransferOutcome (The Data Transfer Agent Library 1.1.1-SNAPSHOT API)
Date: 2012-11-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.library.outcome
Class FileTransferOutcome

    java.lang.Object
      org.gcube.datatransfer.agent.library.outcome.TransferOutcome
          org.gcube.datatransfer.agent.library.outcome.FileTransferOutcome

    public class FileTransferOutcome

extends TransferOutcome

Author:
  Andrea Manzi(CERN)

Constructor Summary
`FileTransferOutcome(String fileName)` Creates an instance with successfully added tree.

Method Summary
`String` | `fileName()` Returns the successfully transfer a file.
`String` | `getDest()`
`String` | `getFilename()`
`Long` | `getTransferTime()`
`void` | `setDest(String dest)`
`void` | `setFilename(String filename)`
`void` | `setTransferTime(Long transferTime)`
`String` | `toString()`

Methods inherited from class org.gcube.datatransfer.agent.library.outcome.TransferOutcome
`failure, getException, isFailure, isSuccess, setException`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileTransferOutcome

    public FileTransferOutcome(String fileName)

  Creates an instance with successfully added tree.

  Parameters:
    `tree` - the tree

Method Detail

### getTransferTime

    public Long getTransferTime()

### setTransferTime

    public void setTransferTime(Long transferTime)

### getDest

    public String getDest()

### setDest

    public void setDest(String dest)

### fileName

    public String fileName()

  Returns the successfully transfer a file.

  Returns:
    the tree, or `null` if the outcome indicates a failure

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getFilename

    public String getFilename()

### setFilename

    public void setFilename(String filename)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.